HP Views Designer Assistant: InkScreen Class Reference

| HP Views Designer Assistant 1.0.0 TFG - Alberto Gutierrez Perez - Universidad de Valladolid |

Public Member Functions | Private Slots | Private Member Functions | Private Attributes | List of all members
InkScreen Class Reference

The InkScreen class. More...

`#include <inkscreen.h>`

Inheritance diagram for InkScreen:

## Public Member Functions

| InkScreen (QWidget *parent=0)
| InkScreen constructor. More...
void | showError (QString error)
| showError Shows an error message. More...
void | showSuccess (QString success)
| showSuccess Shows a success message. More...
void | showInfo (QString info)
| showInfo Shows an information message. More...
int | getNumberOfElements ()
| getNumberOfElements Returns the number of elements. More...
int | getNumberOfCols ()
| getNumberOfCols Returns the number of columns. More...
int | getNumberOfRows ()
| getNumberOfRows Returns the number of rows. More...
int | getWidth ()
| getWidth Returns screen width. More...
int | getHeight ()
| getHeight Returns screen height. More...
void | addInkButtons (int numberOfElements, int rows, int cols, QVector< QColor > *colors=new QVector< QColor >)
| addInkButtons Adds ink color selector buttons into the ink screen. More...
void | clearElements ()
| clearElements Restores default values.
InkTextOption | getTextOption ()
| getTextOption Returns ink text option. More...
QColor | getInkColor (int position)
| getInkColor Returns ink color of the specified position. More...
void | setEditModel (Interfaz *interfaz)
| setEditModel Specifies the values of the ink screen properties. More...
Public Member Functions inherited from View
| View (QWidget *parent)
| View constructor. More...
void | show (QPoint position, QSize size)
| show Shows the view. More...

## Private Slots

void | on_positionCombo_activated (int index)
| on_positionCombo_activated More...
void | on_homeBtn_clicked ()
| on_homeBtn_clicked This slot is executed when home button is clicked.
void | on_settingsBtn_clicked ()
| on_settingsBtn_clicked This slot is executed when settings button is clicked.
void | on_helpBtn_clicked ()
| on_helpBtn_clicked This slot is executed when help button is clicked.
void | on_plusBtn_clicked ()
| on_plusBtn_clicked This slot is executed when plus button is clicked.
void | on_lessBtn_clicked ()
| on_lessBtn_clicked This slot is executed when less button is clicked.
void | on_rowInput_textEdited ()
| on_rowInput_textEdited This slot is executed when row input is edited.
void | on_colInput_textEdited ()
| on_colInput_textEdited This slot is executed when column input is edited.
void | on_numberElementInput_textEdited ()
| on_numberElementInput_textEdited This slot is executed when number of elements input is edited.
void | selectBtnColor ()
| selectBtnColor This slot is executed when ink color selector button is clicked.
void | on_porcentageRadio_clicked ()
| on_porcentageRadio_clicked This slot is executed when percentage radio button is clicked.
void | on_numberRadio_clicked ()
| on_numberRadio_clicked This slot is executed when number radio button is clicked.
void | on_noneRadio_clicked ()
| on_noneRadio_clicked This slot is executed when none radio button is clicked.
void | on_continueBtn_clicked ()
| on_continueBtn_clicked This slot is executed when continue button is clicked.
void | on_heightInput_textEdited ()
| on_heightInput_textEdited This slot is executed when height input is edited.
void | on_widthInput_textEdited ()
| on_widthInput_textEdited This slot is executed when width input is edited.

## Private Member Functions

void | initElements ()
| initElements Initialices the elements.
void | setValidators ()
| setValidators Sets inputs validators.
void | isFullFill ()
| isFullFill Checks if all of the elements have a value.
void | setToolTips ()
| setToolTips Sets buttons help.
void | showSizeElements ()
| showSizeElements Shows size elements.
void | hideSizeElements ()
| hideSizeElements Hide size elements.
void | checkNumberElements (int elements)
| checkNumberElements Checks if the number of elements is correct. More...
void | hideMessages ()
| hideMessages Hide messages.
void | clearInkButtons ()
| clearInkButtons Removes ink color selector buttons.

## Private Attributes

Ui::InkScreen * | ui
| ui

## Additional Inherited Members

Protected Member Functions inherited from View
void | setIntValidators (QLineEdit *input, int min, int max)
| setIntValidators Sets a numeric validator to an input. More...
QString | selectImage ()
| selectImage Selects an system image. More...
int | checkNumberElements (int numberOfElements)
| checkNumberElements Checks if the number of elements are correct More...
QString | getRootHelpPath ()
| getRootHelpPath Returns the root help app path. More...
Protected Attributes inherited from View
QPoint | currentPosition
| currentPosition Current position of the view.
Controller * | controller
| controller Views controller.

## Detailed Description

The InkScreen class.

## Constructor & Destructor Documentation

## ◆ InkScreen()

InkScreen::InkScreen | ( | QWidget * | parent = `0` | ) |

explicit

InkScreen constructor.

Parameters

  parent | Ink screen parent widget.

## Member Function Documentation

## ◆ addInkButtons()

void InkScreen::addInkButtons | ( | int | numberOfElements,
|  | int | rows,
|  | int | cols,
|  | QVector< QColor > * | colors = `new QVector<QColor>`
| ) |  |

addInkButtons Adds ink color selector buttons into the ink screen.

Parameters

  numberOfElements | Number of elements to add.
  rows | Number of rows.
  cols | Number of columns.
  colors | Colors of the elements.

## ◆ checkNumberElements()

void InkScreen::checkNumberElements | ( | int | elements | ) |

private

checkNumberElements Checks if the number of elements is correct.

Parameters

  elements | Number of elements

## ◆ getHeight()

int InkScreen::getHeight | ( |  | ) |

getHeight Returns screen height.

Returns
  Screen height.

## ◆ getInkColor()

QColor InkScreen::getInkColor | ( | int | position | ) |

getInkColor Returns ink color of the specified position.

Parameters

  position | Position.

Returns
  Color of the specified position.

## ◆ getNumberOfCols()

int InkScreen::getNumberOfCols | ( |  | ) |

getNumberOfCols Returns the number of columns.

Returns
  Number of columns.

## ◆ getNumberOfElements()

int InkScreen::getNumberOfElements | ( |  | ) |

getNumberOfElements Returns the number of elements.

Returns
  Number of elements.

## ◆ getNumberOfRows()

int InkScreen::getNumberOfRows | ( |  | ) |

getNumberOfRows Returns the number of rows.

Returns
  Number of rows.

## ◆ getTextOption()

InkTextOption InkScreen::getTextOption | ( |  | ) |

getTextOption Returns ink text option.

Returns

## ◆ getWidth()

int InkScreen::getWidth | ( |  | ) |

getWidth Returns screen width.

Returns
  Screen width.

## ◆ on_positionCombo_activated

void InkScreen::on_positionCombo_activated | ( | int | index | ) |

privateslot

on_positionCombo_activated

Parameters

  index |

## ◆ setEditModel()

void InkScreen::setEditModel | ( | Interfaz * | interfaz | ) |

setEditModel Specifies the values of the ink screen properties.

Parameters

  interfaz | Interface model.

## ◆ showError()

void InkScreen::showError | ( | QString | error | ) |

virtual

showError Shows an error message.

Parameters

  error | Message to show.

Implements View.

## ◆ showInfo()

void InkScreen::showInfo | ( | QString | info | ) |

virtual

showInfo Shows an information message.

Parameters

  info | Message to show.

Implements View.

## ◆ showSuccess()

void InkScreen::showSuccess | ( | QString | success | ) |

virtual

showSuccess Shows a success message.

Parameters

  success | Message to show.

Implements View.

The documentation for this class was generated from the following files:

- D:/Documentos/ViewDesignerAssistant/View/inkscreen.h
- D:/Documentos/ViewDesignerAssistant/View/inkscreen.cpp